Skip to main content
POST
/
oauth2
/
token
curl --request POST \ --url https://public-api.stora.co/oauth2/token \ --header 'Content-Type: application/json' \ --data ' { "grant_type": "client_credentials", "client_id": "ei5bQqk_qUqan8MYMarc2-Eqb48vdB-oc_qBBUjG7co", "client_secret": "NlUuAoPDsKBhcCHc-I2Sa4nlPUaYm31nus6_OpiOzmQ", "scope": "public.contact:write" } '
{ "access_token": "_XVP5ehrV2pbjYmyx7B3vG0A3L2ZDHj5w1VVaJ9jfAM", "token_type": "Bearer", "expires_in": 7200, "scope": "public.contact:write", "created_at": 1740235260 }

Body

application/json

OAuth 2 Client Credentials Request

grant_type
string
required

OAuth 2 Grant Type.

Allowed value: "client_credentials"
client_id
string
required

OAuth 2 Client ID.

client_secret
string
required

OAuth 2 Client Secret.

scope
string
required

OAuth 2 Scopes separated by space.

Response

Access Token

OAuth 2 Token Response

access_token
string

OAuth 2 Access Token.

token_type
string

OAuth 2 Token Type.

Allowed value: "Bearer"
expires_in
integer

OAuth 2 Access Token Expiration Time in Seconds.

scope
any
created_at
integer

OAuth 2 Access Token Creation Time.

refresh_token
string | null

OAuth 2 Refresh Token. Available only for Authorization Code Grant Type.